//
//  NSMutableArrayDeepCopy.m
//  InfiniteCanvas
//
//  Created by Markus Mueller <markus@mindnode.com>.
//	http://www.infinitecanvas.com/
//  Copyright (c) 2003-2005 Markus Mueller. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//  

#import "NSMutableArrayDeepCopy.h"

@implementation NSMutableArray ( NSMutableArrayDeepCopy )

- (NSMutableArray *)deepCopy;
{
    unsigned int count = [self count];
    NSMutableArray *copy = [[NSMutableArray arrayWithCapacity:count] retain];

    NSEnumerator *elementEnumerator = [self objectEnumerator];
    id element;
    
    while(element = [elementEnumerator nextObject]) 
    {
        id newElement = [element copy];
        [copy addObject: newElement];
        [newElement release];
    }
    
    return copy;
}
@end
