//
//  OCENavLineObject.h
//  InfiniteCanvas
//
//  Created by Markus Mueller <markus@mindnode.com>.
//	http://www.infinitecanvas.com/
//  Copyright (c) 2003-2005 Markus Mueller. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//  

#import <Foundation/Foundation.h>
#import "OCEPathObject.h";


@interface OCENavTrailObject : OCEPathObject {
	int transition;
	int transitionSpeed;
	NSColor *transitionColor;
	bool easing;
}

// Transition
- (int) transition;
- (void) setTransition: (int) flag;
- (int) transitionSpeed;
- (void) setTransitionSpeed: (int) flag;
- (NSColor *) transitionColor;
- (void) setTransitionColor: (NSColor *) newColor;
- (bool) easing;
- (void) setEasing: (bool) flag;

// Navigation
- (int) segments;
- (NSPoint) endPointOfSegment: (int) segment;
- (int) length;
- (int) lengthOfSegment: (int) segment;
- (bool) validForNavigation;
@end
