//
//  OCETrailDashView.h
//  InfiniteCanvas
//
//  Created by Markus Mueller <markus@mindnode.com>.
//	http://www.infinitecanvas.com/
//  Copyright (c) 2003-2005 Markus Mueller. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//  

#import <Foundation/Foundation.h>
@class OCEWindowController;


@interface OCETrailDashView : NSView {
    IBOutlet OCEWindowController *controller;
    int state; 
    // 0: select mode
    // 1: trail mode
    // 2: rect mode
    // 3: move mode
    
    NSRect dash0Rect;
    NSRect dash1Rect;
    NSRect dash2Rect;
    NSRect dash3Rect;
    
    float thickness;
    NSColor *color;

    float dashArray1[3];
    float dashArray2[3];
    float dashArray3[3];
}
- (int) state;
- (void) setState: (int) flag;
- (void) setThickness: (float) newThickness;
- (void) setColor: (NSColor *) newColor;
- (void) setWindowController:(OCEWindowController *)aController;


@end
